# Get Billers List

## Get Billers List

The Get Billers List API allows getting the list of billers.

## Input Parameters:

| Name                | Required | Definition                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Comments |
| ------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| ID                  | Y        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">IDType</a> = RPID<br>Input should be Card Number in case <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">IDType</a> = <a href="https://github.com/chetanmadaan/Juice-Financial-Docs/blob/main/APIS/Administration/javascript:;/README.md">CardNumber</a><br></p> |          |
| IDType              | N        | CardNumber (Default), RPID, ANY (add ANY only to ALL APIs - allow to send RPID/DDA number and the application identify it and change it to card number)                                                                                                                                                                                                                                                                                                                                                                           |          |
| BPPBillerCategoryID | N        | Format: Alphanumeric, 6                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |          |

## Output Parameters:

| Name                 | Definition                                                                                      | Failure Case | Success Case | Comments           |
| -------------------- | ----------------------------------------------------------------------------------------------- | ------------ | ------------ | ------------------ |
| BPPBillerDescription | <p>Format: Alphanumeric, 100<br>Description: The name of the biller to show to the end user</p> | Not returned | Returned     | Billers/Biller tag |
| BPPBillerID          | <p>Format: Alphanumeric, 100<br>Description: Value got from Get Billers List API</p>            | Not returned | Returned     | Billers/Biller tag |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
 <PraxellXMLRequest>
    <AuthenticationDetails>
        <UserName>abuali_QA</UserName>
        <UserPassword>1q2w3e4r</UserPassword>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <UniqueRequestId>4322342366666</UniqueRequestId>
        <ServiceName>GetBillersList</ServiceName>
    </ServiceDetails>
    <Origin>
        <OriginType>ExtAPI</OriginType>
    </Origin>
    <ServiceParams>       
      <ID>1897890060769839</ID>
      <IDType>CardNumber</IDType>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
 <?xml version="1.0" ?> 
  <PraxellXMLResponse>
   <ResponseDetails>
      <ServiceName>GetBillersList</ServiceName> 
      <SessionId>18893815201118111</SessionId> 
      <StatusCode>0</StatusCode> 
      <StatusName>StatusOK</StatusName> 
      <StatusDescription>NA</StatusDescription> 
      <ServiceDate>2011-11-27 15:18:17</ServiceDate> 
      <ServiceId>18893815201118111</ServiceId> 
   </ResponseDetails>
   <ResponseParams>
     <Billers>
       <Biller>
         <BPPBillerID>TIO_12-34</BPPBillerID> 
         <BPPBillerDescription>Amisragas</BPPBillerDescription> 
         <BPPBillerLookupType>MobilePhoneAndZip</BPPBillerLookupType> 
       </Biller>
       <Biller>
        <BPPBillerID>PRX_Biller1</BPPBillerID> 
        <BPPBillerDescription>Israel Electric Corporation</BPPBillerDescription> 
         <BPPBillerLookupType>AccountNumber</BPPBillerLookupType>       
         </Biller>
     </Billers>
  </ResponseParams>
  </PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>GetBillersList</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70422</StatusCode>
    <StatusName>Biller Category Required</StatusName>
    <StatusDescription>Biller Category Required</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/get-billers-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
